Ubuntu – Skipping acquire of configured file ‘xxxx’ as repository ‘xxxx xenial InRelease’ doesn’t support architecture ‘i386′”

16.04aptdpkgpackage-managementsquid

Needing to upgrade Squid 3.5.12 on Ubuntu 16.04.3 LTS to a more recently patched version (Squid 3.5.23) I found some instructions here:
https://github.com/diladele/squid-ubuntu

Entered the first 3 commands exactly and got a note from apt-get:
"N: Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'http://ubuntu16.diladele.com/ubuntu xenial InRelease' doesn't support architecture 'i386'"

I don't have typos and nonexistent foreign architectures as others have done:

root@wprdsqd01:/# dpkg --print-foreign-architectures
i386
root@wprdsqd01:/# dpkg --print-architecture
amd64
root@wprdsqd01:/#

Does this just mean that the repository doesn't have i386 (32bit) binaries ?

Thanks

Best Answer

yes, the repo in question is only 64-bit.

Related Question